# TODO: python3 version?
%define		qt_ver		4.8
%define		pyside_ver	1.2.2
#
# Conditional build:
%bcond_with	apidocs		# build API documentation (needs Qt sources)
#
Summary:	PySide - Python bindings for the Qt 4 toolkit
Summary(pl.UTF-8):	PySide - wiązania Pythona do toolkitu Qt 4
Name:		python-PySide
Version:	%{qt_ver}_%{pyside_ver}
Release:	1
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: http://qt-project.org/wiki/category:LanguageBindings::PySide::Downloads
Source0:	http://download.qt-project.org/official_releases/pyside/pyside-qt%{qt_ver}+%{pyside_ver}.tar.bz2
# Source0-md5:	1969c2ff90eefaa4b200d234059d2287
URL:		http://qt-project.org/wiki/PySide/
BuildRequires:	OpenGL-devel
BuildRequires:	QtCore-devel >= %{qt_ver}
BuildRequires:	QtDeclarative-devel >= %{qt_ver}
BuildRequires:	QtGui-devel >= %{qt_ver}
BuildRequires:	QtHelp-devel >= %{qt_ver}
BuildRequires:	QtMultimedia-devel >= %{qt_ver}
BuildRequires:	QtNetwork-devel >= %{qt_ver}
BuildRequires:	QtOpenGL-devel >= %{qt_ver}
BuildRequires:	QtScript-devel >= %{qt_ver}
BuildRequires:	QtScriptTools-devel >= %{qt_ver}
BuildRequires:	QtSql-devel >= %{qt_ver}
BuildRequires:	QtSvg-devel >= %{qt_ver}
BuildRequires:	QtTest-devel >= %{qt_ver}
BuildRequires:	QtUiTools-devel >= %{qt_ver}
BuildRequires:	QtWebKit-devel >= %{qt_ver}
BuildRequires:	QtXml-devel >= %{qt_ver}
BuildRequires:	QtXmlPatterns-devel >= %{qt_ver}
BuildRequires:	cmake >= 2.6
BuildRequires:	phonon-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shiboken-python2 >= %{pyside_ver}
%if %{with apidocs}
BuildRequires:	graphviz
BuildRequires:	qt4-build
BuildRequires:	qt4-source
BuildRequires:	sphinx-pdg
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PySide project provides LGPL-licensed Python bindings for the Qt. It
also includes complete toolchain for rapidly generating bindings for
any Qt-based C++ class hierarchies. PySide Qt bindings allow both free
open source and proprietary software development and ultimately aim to
support Qt platforms.

%description -l pl.UTF-8
Projekt PySide udostępnia na licencji LGPL wiązania Pythona dla
tookitu Qt. Zawiera także pełny zestaw narzędzi do szybkiego
generowania wiązań dla dowolnej hierarchii klas C++ opartych na Qt.
Wiązania Qt PySide pozwalają na tworzenie zarówno wolnodostępnego, jak
i własnościowego oprogramowania i mają na celu wsparcie platform Qt.

%package devel
Summary:	Development files for PySide bindings
Summary(pl.UTF-8):	Pliki programistyczne dla wiązań PySide
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	shiboken-python2 >= %{pyside_ver}

%description devel
Development files for PySide bindings.

%description devel -l pl.UTF-8
Pliki programistyczne dla wiązań PySide.

%prep
%setup -q -n pyside-qt%{qt_ver}+%{pyside_ver}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/PySide
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/PySide
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libpyside-python%{py_ver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyside-python%{py_ver}.so.1.2
%dir %{py_sitedir}/PySide
%attr(755,root,root) %{py_sitedir}/PySide/QtCore.so
%attr(755,root,root) %{py_sitedir}/PySide/QtDeclarative.so
%attr(755,root,root) %{py_sitedir}/PySide/QtGui.so
%attr(755,root,root) %{py_sitedir}/PySide/QtHelp.so
%attr(755,root,root) %{py_sitedir}/PySide/QtMultimedia.so
%attr(755,root,root) %{py_sitedir}/PySide/QtNetwork.so
%attr(755,root,root) %{py_sitedir}/PySide/QtOpenGL.so
%attr(755,root,root) %{py_sitedir}/PySide/QtScript.so
%attr(755,root,root) %{py_sitedir}/PySide/QtScriptTools.so
%attr(755,root,root) %{py_sitedir}/PySide/QtSql.so
%attr(755,root,root) %{py_sitedir}/PySide/QtSvg.so
%attr(755,root,root) %{py_sitedir}/PySide/QtTest.so
%attr(755,root,root) %{py_sitedir}/PySide/QtUiTools.so
%attr(755,root,root) %{py_sitedir}/PySide/QtWebKit.so
%attr(755,root,root) %{py_sitedir}/PySide/QtXml.so
%attr(755,root,root) %{py_sitedir}/PySide/QtXmlPatterns.so
%attr(755,root,root) %{py_sitedir}/PySide/phonon.so
%{py_sitedir}/PySide/__init__.py[co]
%{py_sitedir}/PySide/_utils.py[co]

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyside-python%{py_ver}.so
%{_includedir}/PySide
%dir %{_datadir}/PySide
%{_datadir}/PySide/typesystems
%{_pkgconfigdir}/pyside.pc
%{_libdir}/cmake/PySide-%{pyside_ver}
%changelog
* Sun Aug 31 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PySide.git;a=log;h=master

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> cd9f4af
- updated to 1.2.2

* Tue Jul 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 2d28a82
- new

